package application;

import java.util.Iterator;

import outils.ListeChainee;
import outils.Parcours;

public class EssaiListeChainee {
	public static void main(String arg[]) {
		ListeChainee<String> lst;
		lst = new ListeChainee<String>();
		lst.ajoute("un");
		lst.ajoute("deux");
		lst.ajoute("trois");
		lst.ajoute("quatre");
		lst.ajoute("cinq");
		lst.ajoute("six");
		lst.ajoute("sept");
		int i;
//parcours par indice
		System.out.println("*** parcours par indice ***");
		for(i = 0; i < lst.nombreDElements(); i++) {
			System.out.println(lst.element(i));
		}
		Parcours<String> parcours;
//parcours par objet de parcours
		System.out.println("*** parcours par objet de parcours ***");
		parcours = lst.parcours();
		while(parcours.encore()) {
			System.out.println(parcours.elementCourant());
			parcours.suivant();
		}
//parcours avec for-each
		System.out.println("*** parcours avec for-each ***");
		for(String s : lst) System.out.println(s);
//suppression pendant un parcours
		System.out.println("*** suppression pendant un parcours ***");
		parcours = lst.parcours();
		while(parcours.encore()) {
			if (parcours.elementCourant().length() == 3)
				parcours.supprime();
			else
				parcours.suivant();
		}
		for(String s : lst) System.out.println(s);
//suppression pendant un parcours avec Iterator
		System.out.println("*** suppression pendant un parcours avec Iterator ***");
		Iterator<String> it = lst.iterator();
		while(it.hasNext()) {
			if (it.next().length() == 4) it.remove();
		}
		for(String s : lst) System.out.println(s);
	}
}
